Bug 750651 - pygobject3-devel tries to install i686 packages on x86_64
pygobject3-devel tries to install i686 packages on x86_64
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pygobject3 (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: John (J5) Palmieri
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-01 17:16 EDT by Hubert Figuiere
Modified: 2013-03-13 00:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 10:09:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Hubert Figuiere 2011-11-01 17:16:01 EDT
Description of problem:
pygobject3-devel tries to install i686 packages on x86_64

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. sudo yum install pygobject3-devel
  
Actual results:
Tries to install i686 packages on x86_64 and fails

Expected results:
Just install x86_64

Additional info:
Resolving Dependencies
--> Running transaction check
---> Package pygobject3-devel.x86_64 0:3.0.1-1.fc16 will be installed
--> Processing Dependency: pygobject3 = 3.0.1-1.fc16 for package: pygobject3-devel-3.0.1-1.fc16.x86_64
--> Running transaction check
---> Package pygobject3.i686 0:3.0.1-1.fc16 will be installed
--> Processing Dependency: libgmodule-2.0.so.0 for package: pygobject3-3.0.1-1.fc16.i686
--> Processing Dependency: libcairo.so.2 for package: pygobject3-3.0.1-1.fc16.i686
--> Processing Dependency: libpthread.so.0 for package: pygobject3-3.0.1-1.fc16.i686
--> Processing Dependency: libpthread.so.0(GLIBC_2.0) for package: pygobject3-3.0.1-1.fc16.i686
--> Processing Dependency: libm.so.6 for package: pygobject3-3.0.1-1.fc16.i686
--> Processing Dependency: librt.so.1 for package: pygobject3-3.0.1-1.fc16.i686
--> Processing Dependency: libc.so.6(GLIBC_2.4) for package: pygobject3-3.0.1-1.fc16.i686
--> Processing Dependency: libgobject-2.0.so.0 for package: pygobject3-3.0.1-1.fc16.i686
--> Processing Dependency: libgthread-2.0.so.0 for package: pygobject3-3.0.1-1.fc16.i686
--> Processing Dependency: libgirepository-1.0.so.1 for package: pygobject3-3.0.1-1.fc16.i686
--> Processing Dependency: libffi.so.5 for package: pygobject3-3.0.1-1.fc16.i686
--> Processing Dependency: libglib-2.0.so.0 for package: pygobject3-3.0.1-1.fc16.i686
--> Running transaction check
---> Package cairo.i686 0:1.10.2-4.fc16 will be installed
--> Processing Dependency: libpixman-1.so.0 for package: cairo-1.10.2-4.fc16.i686
--> Processing Dependency: libX11.so.6 for package: cairo-1.10.2-4.fc16.i686
--> Processing Dependency: libfreetype.so.6 for package: cairo-1.10.2-4.fc16.i686
--> Processing Dependency: libfontconfig.so.1 for package: cairo-1.10.2-4.fc16.i686
--> Processing Dependency: libXrender.so.1 for package: cairo-1.10.2-4.fc16.i686
--> Processing Dependency: libpng12.so.0(PNG12_0) for package: cairo-1.10.2-4.fc16.i686
--> Processing Dependency: libpng12.so.0 for package: cairo-1.10.2-4.fc16.i686
--> Processing Dependency: libz.so.1 for package: cairo-1.10.2-4.fc16.i686
---> Package glib2.i686 0:2.30.1-1.fc16 will be installed
--> Processing Dependency: libfam.so.0 for package: glib2-2.30.1-1.fc16.i686
--> Processing Dependency: libselinux.so.1 for package: glib2-2.30.1-1.fc16.i686
---> Package glibc.i686 0:2.14.90-14 will be installed
--> Processing Dependency: libfreebl3.so for package: glibc-2.14.90-14.i686
--> Processing Dependency: libfreebl3.so(NSSRAWHASH_3.12.3) for package: glibc-2.14.90-14.i686
---> Package gobject-introspection.i686 0:1.30.0-1.fc16 will be installed
---> Package libffi.i686 0:3.0.10-1.fc16 will be installed
--> Running transaction check
---> Package fontconfig.i686 0:2.8.0-4.fc16 will be installed
--> Processing Dependency: libexpat.so.1 for package: fontconfig-2.8.0-4.fc16.i686
---> Package freetype.i686 0:2.4.6-3.fc16 will be installed
---> Package gamin.i686 0:0.1.10-10.fc16 will be installed
---> Package libX11.i686 0:1.4.3-1.fc16 will be installed
--> Processing Dependency: libxcb.so.1 for package: libX11-1.4.3-1.fc16.i686
--> Processing Dependency: libgcc_s.so.1 for package: libX11-1.4.3-1.fc16.i686
--> Processing Dependency: libgcc_s.so.1(GCC_3.0) for package: libX11-1.4.3-1.fc16.i686
--> Processing Dependency: libgcc_s.so.1(GCC_3.3.1) for package: libX11-1.4.3-1.fc16.i686
---> Package libXrender.i686 0:0.9.6-2.fc15 will be installed
---> Package libpng.i686 2:1.2.46-1.fc16 will be installed
---> Package libselinux.i686 0:2.1.5-5.1.fc16 will be installed
---> Package nss-softokn-freebl.i686 0:3.12.10-4.fc16 will be installed
---> Package pixman.i686 0:0.22.2-1.fc16 will be installed
---> Package zlib.i686 0:1.2.5-4.fc16 will be installed
--> Running transaction check
---> Package expat.i686 0:2.0.1-11.fc15 will be installed
---> Package libgcc.i686 0:4.6.2-1.fc16 will be installed
---> Package libxcb.i686 0:1.7-3.fc16 will be installed
--> Processing Dependency: libXau.so.6 for package: libxcb-1.7-3.fc16.i686
--> Running transaction check
---> Package libXau.i686 0:1.0.6-2.fc15 will be installed
--> Finished Dependency Resolution
Error: Protected multilib versions: libselinux-2.1.5-5.1.fc16.i686 != libselinux-2.1.6-4.fc16.x86_64
Error: Protected multilib versions: pygobject3-3.0.1-1.fc16.i686 != pygobject3-3.0.2-1.fc16.x86_64
Error: Protected multilib versions: nss-softokn-freebl-3.12.10-4.fc16.i686 != nss-softokn-freebl-3.12.10-6.fc16.x86_64
Comment 1 Hubert Figuiere 2011-11-11 20:02:46 EST
This works now after the latest updates.
Comment 2 Fedora End Of Life 2013-01-16 09:07:50 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2013-02-13 10:09:24 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.